import 'package:adeptarch_base/src/filters/filters.dart';
import 'package:flutter/material.dart';

abstract class BaseFilterView<T extends Filter> extends StatefulWidget {
  FilterController<T> filterController;
  bool allowSorting;
  String? hint;

  BaseFilterView({
    FilterController<T>? filterController,
    bool? allowSorting,
    this.hint,
  }) :
    filterController = filterController ?? FilterController<T>(),
    allowSorting = allowSorting ?? true
  ;
}
